#ifndef DS18B20_H_
	#define DS18B20_H_
	//-----------------------------
	#include "../onewire/onewire.h"
	#include "header.h"
	//--------------------------
	#define	READ_ROM        0x33
	#define SEARCH_ROM      0xF0
	#define MATCH_ROM       0x55
	#define SKIP_ROM        0xCC
	#define ALARM_SEARCH    0xEC
	#define READ_SCRATCHPAD 0xBE
	#define CONVERT_TEMP    0x44
	//---------------------------
	#define ADDR_DS18B20_1 0x0000
	#define ADDR_DS18B20_2 0x0008
	//-------------------------------------------------------------
	extern struct TEMP_TYPE DS18B20_ReadTemp(uChar *serial_number);	
	extern void DS18B20_DecodeToString(uChar *str, struct TEMP_TYPE temp);
	extern bool DS18B20_GetSerialNumber(uChar *serial_number);
#endif