#include "header.h"
#include "lcd/lcd.h"
#include "keyboard/keyboard.h"
#include "ds18b20/ds18b20.h"
#include "memory/memory.h"
#include "incubator/incubator.h"
//-----------------------
/*uChar sensor1[8] EEMEM = 
{
	0x28, 0x30, 0xC5, 0xB8, 0x00, 0x00, 0x00, 0x8E
};	
//-----------------------
uChar sensor2[8] EEMEM = 
{
	0x28, 0x31, 0xC5, 0xB8, 0x00, 0x00, 0x00, 0xB9
};
//-----------------------
uChar chicken[35] EEMEM =
{
	5, 38, 5, 70, 3, 0, 0,
	12, 38, 5, 70, 3, 1, 5,
	18, 38, 0, 70, 3, 1, 20,
	21, 37, 5, 70, 0, 1, 30,
	0, 0, 0, 0, 0, 0, 0
};
//---------------------
uChar quail[35] EEMEM =
{
	12, 37, 6, 58, 4, 1, 10,
	15, 37, 3, 53, 4, 1, 20,
	17, 37, 2, 47, 0, 0, 0,
	19, 37, 2, 80, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0
};
//--------------------
uChar duck[35] EEMEM =
{
	12, 37, 0, 70, 3, 0, 0,
	24, 37, 0, 70, 3, 3, 10,
	28, 37, 0, 70, 3, 0, 0,
	0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0
};
//---------------------
uChar goose[35] EEMEM =
{
	14, 37, 5, 70, 0, 0, 0,
	27, 37, 5, 70, 3, 3, 10,
	29, 38, 5, 70, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0
};
//----------------------
uChar turkey[35] EEMEM =
{
	6, 37, 5, 70, 3, 0, 0,
	12, 37, 5, 70, 3, 1, 5,
	26, 37, 0, 70, 3, 1, 20,
	28, 38, 5, 70, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0
};
//------------------------
uChar indoutka[35] EEMEM =
{
	16, 38, 0, 60, 24, 1, 5,
	27, 37, 5, 52, 24, 2, 20,
	29, 37, 3, 70, 0, 1, 10,
	31, 37, 0, 70, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0
};
//----------------------
uChar guinea[35] EEMEM =
{
	13, 37, 8, 60, 24, 1, 5,
	24, 37, 5, 45, 24, 1, 20,
	28, 38, 0, 58, 0, 1, 10,
	0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0
};
//--------------------
uChar user[35] EEMEM =
{
	0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0
};*/
//------------
int main(void)
{	
	uChar sign_celsius[] =
	{
		0x06, 0x09, 0x09, 0x06, 0x00, 0x00, 0x00, 0x00
	}; //   
	
	uChar sign_arrow[] =
	{
		0x00, 0x08, 0x0C, 0x0E, 0x0E, 0x0C, 0x08, 0x00
	};
	
	LCD_Init();
	LCD_Clear();
	LCD_SaveUserSign(sign_celsius, LCD_MEMORY_SIGN_CELSIUS); //      
	LCD_SaveUserSign(sign_arrow, LCD_MEMORY_SIGN_ARROW);     //  (   )
	
	INCUBATOR_Init();
	
	while(true)
	{
		INCUBATOR_Button();
	}		
}
