#include "menu.h"
//------------------------
//struct ITEM *menu = NULL;
struct ITEM *cur_item = 0; //   
//-------------------------------
void MENU_Init(struct ITEM *item)
{
	cur_item = item;
}
//--------------------------------------------------------------------------------------------------
struct ITEM* MENU_AddItem(uChar *name, struct ITEM **item, void (*process)(void), struct ITEM *parent)
{
	struct ITEM *new_item = NULL;

	new_item = malloc(sizeof(struct ITEM));

	strcpy((char*)new_item->name, (char*)name);
	new_item->process  = process;

	struct ITEM *ptr = NULL;

	ptr = *item;
	
	if(ptr == NULL)
	{
		new_item->next     = NULL;
		new_item->previous = NULL;
		new_item->parent   = parent;
		new_item->child    = NULL;

		*item = new_item;
	}
	else
	{
		struct ITEM *last = NULL;

		while(ptr != NULL)
		{
			last = ptr;
			ptr = ptr->next;
		}

		new_item->previous = last;
		new_item->parent = parent;
		new_item->next = NULL;
		new_item->child = NULL;

		last->next = new_item;
	}

	return new_item;
}